require_relative "currency_quote/version"
require_relative "currency_quote/dolar"
require_relative "currency_quote/currency"
require_relative "currency_quote/invertir_online"

module CurrencyQuote
	class Error < StandardError; end

	def self.root
      File.expand_path '../..', __FILE__
    end

    autoload :Dolar, "currency_quote/dolar"
    autoload :Currency, "currency_quote/currency"
    autoload :InvertirOnline, "currency_quote/invertir_online"

    CURRENCIES = [
		"Bolívar Venezolano",
		"Cordoba Nicaraguense",
		"Corona Checa",
		"Corona Danesa",
		"Corona Noruega",
		"Corona Sueca",
		"Derecho Especial de Giro",
		"Dinar Serbia",
		"Dolar Australiano",
		"Dolar Canadiense",
		"Dolar de Singapur",
		"Dolar Estadounidense",
		"Dolar Hong Kong",
		"Dolar Neozelandes",
		"Euro (Unidad Monetaria Europe",
		"Florin (Antillas Holandesas)",
		"Franco Suizo",
		"Guaraní Paraguayo",
		"Libra Esterlina",
		"Lira Turca",
		"Nuevo Sol Peruano",
		"Oro - Onza Troy",
		"Peso",
		"Peso Boliviano",
		"Peso Chileno",
		"Peso Colombiano",
		"Peso Mexicano",
		"Peso Uruguayo",
		"Plata - Onza Troy",
		"Rand Sudafricano",
		"Real (Brasil)",
		"Rublo (Rusia)",
		"Rupia (India)",
		"Shekel (Israel)",
		"Yen (Japón)",
		"Yuan- China CNY",
		"Yuan-China Off Shore CNH",
		    	
    ]
end
